# Uses of Class
org.apache.sling.testing.clients.SlingClientConfig

Packages that use SlingClientConfig
Package
Description
org.apache.sling.testing.clients
org.apache.sling.testing.clients.email
org.apache.sling.testing.clients.html
org.apache.sling.testing.clients.indexing
org.apache.sling.testing.clients.osgi
OSGI testing tools.
org.apache.sling.testing.clients.query
Query tools leveraging javax.jcr.query

## Uses of SlingClientConfig in org.apache.sling.testing.clients

Methods in org.apache.sling.testing.clients that return SlingClientConfig
Modifier and Type
Method
Description
`SlingClientConfig`
SlingClientConfig.Builder.`build()`
`protected SlingClientConfig`
SlingClient.InternalBuilder.`buildSlingClientConfig()`
Constructors in org.apache.sling.testing.clients with parameters of type SlingClientConfig
Modifier
Constructor
Description
``
`SlingClient(org.apache.http.impl.client.CloseableHttpClient http, SlingClientConfig config)`
Constructor used by Builders and adaptTo().

## Uses of SlingClientConfig in org.apache.sling.testing.clients.email

Constructors in org.apache.sling.testing.clients.email with parameters of type SlingClientConfig
Modifier
Constructor
Description
``
`SlingEmailClient(org.apache.http.impl.client.CloseableHttpClient http, SlingClientConfig config)`

## Uses of SlingClientConfig in org.apache.sling.testing.clients.html

Constructors in org.apache.sling.testing.clients.html with parameters of type SlingClientConfig
Modifier
Constructor
Description
``
`MicrodataClient(org.apache.http.impl.client.CloseableHttpClient http, SlingClientConfig config)`

## Uses of SlingClientConfig in org.apache.sling.testing.clients.indexing

Constructors in org.apache.sling.testing.clients.indexing with parameters of type SlingClientConfig
Modifier
Constructor
Description
``
`IndexingClient(org.apache.http.impl.client.CloseableHttpClient http, SlingClientConfig config)`
Constructor used by Builders and adaptTo().

## Uses of SlingClientConfig in org.apache.sling.testing.clients.osgi

Constructors in org.apache.sling.testing.clients.osgi with parameters of type SlingClientConfig
Modifier
Constructor
Description
``
`OsgiConsoleClient(org.apache.http.impl.client.CloseableHttpClient http, SlingClientConfig config)`
Constructor used by adaptTo() and InternalBuilder classes.

## Uses of SlingClientConfig in org.apache.sling.testing.clients.query

Constructors in org.apache.sling.testing.clients.query with parameters of type SlingClientConfig
Modifier
Constructor
Description
``
`QueryClient(org.apache.http.impl.client.CloseableHttpClient http, SlingClientConfig config)`
Constructor used by adaptTo